# Interface Reader

All Known Implementing Classes:
  `FressianReader`

public interface Reader

## Method Summary

Modifier and Type
Method
Description
`boolean`
`readBoolean()`
`double`
`readDouble()`
`float`
`readFloat()`
`long`
`readInt()`
`Object`
`readObject()`
`void`
`validateFooter()`

## Method Details

### readBoolean

boolean readBoolean() throws IOException

Throws:
  `IOException`

### readInt

long readInt() throws IOException

Throws:
  `IOException`

### readDouble

double readDouble() throws IOException

Throws:
  `IOException`

### readFloat

float readFloat() throws IOException

Throws:
  `IOException`

### readObject

Object readObject() throws IOException

Throws:
  `IOException`

### validateFooter

void validateFooter() throws IOException

Throws:
  `IOException`